curl --request GET \
--url https://api.example.com/api/tv/channels{
"[channelKey]": {
"user": {
"id": "<string>",
"name": "<string>",
"title": "<string>"
},
"rating": 123,
"gameId": "<string>",
"color": "<string>"
}
}Get the current games being played on each Lichess TV channel
curl --request GET \
--url https://api.example.com/api/tv/channels{
"[channelKey]": {
"user": {
"id": "<string>",
"name": "<string>",
"title": "<string>"
},
"rating": 123,
"gameId": "<string>",
"color": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/lichess-org/lila/llms.txt
Use this file to discover all available pages before exploring further.
GET https://lichess.org/api/tv/channels
curl https://lichess.org/api/tv/channels
fetch('https://lichess.org/api/tv/channels')
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get('https://lichess.org/api/tv/channels')
channels = response.json()
print(channels)
Show Champion Object
{
"best": {
"user": {
"id": "magnus",
"name": "Magnus",
"title": "GM"
},
"rating": 2847,
"gameId": "q7ZvsdUF",
"color": "white"
},
"bullet": {
"user": {
"id": "hikaru",
"name": "Hikaru",
"title": "GM"
},
"rating": 3201,
"gameId": "8ZhJgF3b",
"color": "black"
},
"blitz": {
"user": {
"id": "danya",
"name": "Danya"
},
"rating": 2963,
"gameId": "z6brKWaG",
"color": "white"
}
}
app/controllers/Tv.scala:30 (channels method)modules/tv/src/main/Tv.scala:64-66 (Champion case class)conf/routes:42 (GET /api/tv/channels)